#!/bin/sh

# JAVA=/usr/bin/java
JAVA=/usr/bin/java
JARPATH=/erpwork/lib

# JAVA=java

TRACXJAR=tracx-1.4.19.jar
CEGOJDBCJAR=cegojdbc-1.2.20.jar
DB2JDBCJAR=db2jcc4.jar
DB2LICJAR=db2jcc_license_cu.jar

# customize here the appropriate JDBC classes

JARFILES=$JARPATH/jdom.jar:$JARPATH/jtds.jar:$JARPATH/log4j-1.2.8.jar:$JARPATH/$TRACXJAR:$JARPATH/$CEGOJDBCJAR:$JARPATH/$DB2JDBCJAR:$JARPATH/$DB2LICJAR:

# customize here the appropriate JDBC driver
JDBC_DRIVER=net.sourceforge.jtds.jdbc.Driver:de.lemkeit.cegojdbc.CegoDriver:com.ibm.db2.jcc.DB2Driver

$JAVA -classpath $JARFILES de.lemkeit.tracx.TracxMain -jdbc $JDBC_DRIVER -f /erpwork/batch/xan2sysmt.tracx 
