#!/usr/bin/perl
# Perl MySQL DBI test script
# Don Wyatt - Verio - September 2005 use DBI;

use DBI;
use DBI qw(:sql_types);


#definition of variables
$db="sysmt";
$host="localhost";
$port=2200;
$user="sysmt";
$password="sysmt"; # the root password

$url="dbi:Cego:tableset=$db;hostname=$host;port=$port;protocol=xml;logfile=;logmode=notice";

#connect to MySQL database
my $dbh = DBI->connect ($url,
$user,
$password)
or die "Can't connect to database: $DBI::errstr\n";

 
$dbh->{RaiseError} = 1;

    $sth = $dbh->prepare("select mid, prjname, sid, shortdesc, mtfrom, mtto, downfrom, downto, status, ticketnr, conflicts, tgname, thrid \
 from sysmt_mtview m where m.status = 'Requested' and date2str(mtfrom, '%Y') = '2012' and m.pid in \
	   ( select pid from sysmt_prj2bgrp where bgid in \
	     ( select distinct bgid from sysmt_usr2bgrp u2g, sysmt_user u, sysmt_bgright r \
	     where ( r.bgright = 'mtread' or r.bgright = 'mtwrite' ) and r.bgid = u2g.bgid and  u2g.uid = u.uid and u.dbuser = 'lemke')) order by mtfrom;");
    
    $sth->execute;
    
    while ( ( $mid, $prjname, $sid, $shortdesc, $mtfrom, $mtto, $downfrom, $downto, $status, $tt, $cfl, $tgname, $thrid ) = $sth->fetchrow_array )
    {       
	print "Row = $mid $prjname \n";
    }
    
    $sth->finish;

    $dbh->disconnect or warn "Disconnection error: $DBI::errstr\n";
    1;

